%define name kmysql
%define version 1.2.0
%define release 2mdk
%define prefix /usr
%define qtdir /usr/lib/qt-1.44

Name: %{name}
Version: %{version}
Release: %{release}
Summary: A graphic SQL client for KDE
Prefix: %{prefix}
Group: Databases
Copyright: GPL
Packager: Gerald Teschl <gerald@esi.ac.at>
Source: %{name}-%{version}.tar.bz2
URL: http://www.xnot.com/kmysql/
Requires: qt kdelibs
Buildroot: /var/tmp/%{name}-buildroot

%description
KMySQL is a graphical SQL client originally designed to work with MySQL,
in replacement of the prompt-based text-mode mysql client.
It uses now plugins to access databases, so it can virtually be used
with any database.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
export KDEDIR=%{prefix}
export QTDIR=%{qtdir}
./configure \
		--prefix=%{prefix} \
	--with-install-root=$RPM_BUILD_ROOT --disable-rpath
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
export KDEDIR=%{prefix}
make install-strip prefix=$RPM_BUILD_ROOT%{prefix}

echo "%docdir /usr/doc/kde" >> $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr (-,root,root)
/usr/bin/*
%dir /usr/include/kmysql
#/usr/include/kmysql/*
/usr/share/applnk/Applications/*
%dir /usr/share/apps/kmysql
%dir /usr/share/apps/kmysql/pics
/usr/share/apps/kmysql/pics/*
#%dir /usr/share/doc/HTML/en/kmysql
#/usr/share/doc/HTML/en/kmysql/*
#%dir /usr/share/doc/HTML/fr/kmysql
#/usr/share/doc/HTML/fr/kmysql/*
/usr/share/icons/*.xpm
/usr/share/icons/mini/*.xpm
/usr/share/locale/fr/LC_MESSAGES/*


%changelog
* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-2mdk
- fix group
- fix files section
* Fri Nov 05 1999 Lenny Cartier <lenny@mandrakesoft.com>
- 1.2.0
* Sun Oct 31 1999 Frederik Bilhaut <bilhaut_f@mail.cpod.fr>
- Updated for 1.2.0
* Sun Oct 17 1999 Frederik Bilhaut <bilhaut_f@mail.cpod.fr>
- Updated for 1.2.0pre3
* Mon Oct 11 1999 Gerald Teschl <gerald@esi.ac.at>
- Updated for RedHat 6.1
* Thu Oct 07 1999 Frederik Bilhaut <bilhaut_f@mail.cpod.fr>
- Updated for 1.2.0pre2
* Fri Sep 17 1999 Gerald Teschl <gerald@esi.ac.at>
- Rewrote spec file
